<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/adc.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">adc.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series ADC driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for adc.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d6c/adc_8c__incl.png" border="0" usemap="#a_std_driver_2src_2adc_8c" alt=""/></div>
</div>
</div>
<p><a href="../../de/d01/adc_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7033da903c767e3fcd564d1695a43fac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</td></tr>
<tr class="memdesc:ga7033da903c767e3fcd564d1695a43fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures ADC module to be ready for convert the input from selected channel.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">More...</a><br /></td></tr>
<tr class="separator:ga7033da903c767e3fcd564d1695a43fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga68854f8ea2f77c73a8cf029034ec4885"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable ADC module.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">More...</a><br /></td></tr>
<tr class="separator:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Source, uint32_t u32Param)</td></tr>
<tr class="memdesc:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the hardware trigger condition and enable hardware trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">More...</a><br /></td></tr>
<tr class="separator:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9703215cf92463b8c79f486aa6270ca8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga9703215cf92463b8c79f486aa6270ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable hardware trigger ADC function.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">More...</a><br /></td></tr>
<tr class="separator:ga9703215cf92463b8c79f486aa6270ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3bc36c0a0554723f815fca2afe66671f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Source, uint32_t u32PDMACnt)</td></tr>
<tr class="memdesc:ga3bc36c0a0554723f815fca2afe66671f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config and enable timer trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">More...</a><br /></td></tr>
<tr class="separator:ga3bc36c0a0554723f815fca2afe66671f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9527ef6a552d887f6e530fa008176057"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga9527ef6a552d887f6e530fa008176057"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable timer trigger ADC function.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">More...</a><br /></td></tr>
<tr class="separator:ga9527ef6a552d887f6e530fa008176057"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</td></tr>
<tr class="memdesc:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the hardware trigger condition and enable hardware trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">More...</a><br /></td></tr>
<tr class="separator:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the interrupt(s) selected by u32Mask parameter.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">More...</a><br /></td></tr>
<tr class="separator:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the interrupt(s) selected by u32Mask parameter.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">More...</a><br /></td></tr>
<tr class="separator:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series ADC driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>8 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 11:50a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
